AstrologyAPI

Use access token to call astrology api.

Learn More

Varshaphal Planets

POSThttps://json.astrologyapi.com/v1/varshaphal_planets
Copy

The API varshaphal_planets provides information about the positions and attributes of various celestial bodies such as planets, ascendant, Rahu, and Ketu. The response includes details such as the name, degree, speed, retrograde status, sign, sign lord, nakshatra, nakshatra lord, and house.

POST/varshaphal_planets
Copy
1curl --location 'https://json.astrologyapi.com/v1/varshaphal_planets' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5,
13    "varshphal_year": 1990
14}'
15
200Response
Copy
1[
2  {
3    "id": 0,
4    "name": "Sun",
5    "fullDegree": 72.18940674617663,
6    "normDegree": 12.18940674617663,
7    "speed": 0.9539452243199952,
8    "isRetro": "false",
9    "sign": "Gemini",
10    "signLord": "Mercury",
11    "nakshatra": "Ardra",
12    "nakshatraLord": "Rahu",
13    "nakshatra_pad": 2,
14    "house": 12,
15    "is_planet_set": false,
16    "planet_awastha": "Yuva"
17  },
18  {
19    "id": 1,
20    "name": "Moon",
21    "fullDegree": 60.53349349753208,
22    "normDegree": 0.5334934975320778,
23    "speed": 11.827711506359607,
24    "isRetro": "false",
25    "sign": "Gemini",
26    "signLord": "Mercury",
27    "nakshatra": "Mrigshira",
28    "nakshatraLord": "Mars",
29    "nakshatra_pad": 3,
30    "house": 12,
31    "is_planet_set": true,
32    "planet_awastha": "Bala"
33  },
34  {
35    "id": 2,
36    "name": "Mars",
37    "fullDegree": 0.741288656260683,
38    "normDegree": 0.741288656260683,
39    "speed": 0.7119873764381827,
40    "isRetro": "false",
41    "sign": "Aries",
42    "signLord": "Mars",
43    "nakshatra": "Ashwini",
44    "nakshatraLord": "Ketu",
45    "nakshatra_pad": 1,
46    "house": 10,
47    "is_planet_set": false,
48    "planet_awastha": "Bala"
49  },
50  {
51    "id": 3,
52    "name": "Mercury",
53    "fullDegree": 52.93784158043533,
54    "normDegree": 22.937841580435332,
55    "speed": 1.601263570603116,
56    "isRetro": "false",
57    "sign": "Taurus",
58    "signLord": "Venus",
59    "nakshatra": "Rohini",
60    "nakshatraLord": "Moon",
61    "nakshatra_pad": 4,
62    "house": 11,
63    "is_planet_set": false,
64    "planet_awastha": "Kumara"
65  },
66  {
67    "id": 4,
68    "name": "Jupiter",
69    "fullDegree": 343.0447942759372,
70    "normDegree": 13.044794275937193,
71    "speed": 0.09469955415258587,
72    "isRetro": "false",
73    "sign": "Pisces",
74    "signLord": "Jupiter",
75    "nakshatra": "Uttra Bhadrapad",
76    "nakshatraLord": "Saturn",
77    "nakshatra_pad": 3,
78    "house": 9,
79    "is_planet_set": false,
80    "planet_awastha": "Yuva"
81  },
82  {
83    "id": 5,
84    "name": "Venus",
85    "fullDegree": 41.819250660352424,
86    "normDegree": 11.819250660352424,
87    "speed": 1.1934112336305052,
88    "isRetro": "false",
89    "sign": "Taurus",
90    "signLord": "Venus",
91    "nakshatra": "Rohini",
92    "nakshatraLord": "Moon",
93    "nakshatra_pad": 1,
94    "house": 11,
95    "is_planet_set": false,
96    "planet_awastha": "Vridha"
97  },
98  {
99    "id": 6,
100    "name": "Saturn",
101    "fullDegree": 300.65843774261566,
102    "normDegree": 0.6584377426156607,
103    "speed": -0.03624728410538493,
104    "isRetro": "true",
105    "sign": "Aquarius",
106    "signLord": "Saturn",
107    "nakshatra": "Dhanishtha",
108    "nakshatraLord": "Mars",
109    "nakshatra_pad": 3,
110    "house": 8,
111    "is_planet_set": false,
112    "planet_awastha": "Bala"
113  },
114  {
115    "id": 7,
116    "name": "Rahu",
117    "fullDegree": 25.9351218834935,
118    "normDegree": 25.9351218834935,
119    "speed": -0.05299198276767747,
120    "isRetro": "true",
121    "sign": "Aries",
122    "signLord": "Mars",
123    "nakshatra": "Bharni",
124    "nakshatraLord": "Venus",
125    "nakshatra_pad": 4,
126    "house": 10,
127    "is_planet_set": false,
128    "planet_awastha": "Mrit"
129  },
130  {
131    "id": 8,
132    "name": "Ketu",
133    "fullDegree": 205.9351218834935,
134    "normDegree": 25.935121883493508,
135    "speed": -0.05299198276767747,
136    "isRetro": "true",
137    "sign": "Libra",
138    "signLord": "Venus",
139    "nakshatra": "Vishakha",
140    "nakshatraLord": "Jupiter",
141    "nakshatra_pad": 2,
142    "house": 4,
143    "is_planet_set": false,
144    "planet_awastha": "Mrit"
145  },
146  {
147    "id": 9,
148    "name": "Ascendant",
149    "fullDegree": 90.49569662262402,
150    "normDegree": 0.49569662262402403,
151    "speed": 0,
152    "isRetro": false,
153    "sign": "Cancer",
154    "signLord": "Moon",
155    "nakshatra": "Punarvasu",
156    "nakshatraLord": "Jupiter",
157    "nakshatra_pad": 4,
158    "house": 1,
159    "is_planet_set": false,
160    "planet_awastha": "--"
161  }
162]

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

varshphal_year

int

required

Varshphal year, eg: 1990

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.